%define upstream_name    Catalyst-Action-REST
%define upstream_version 0.90

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A request trait for REST and browsers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.800.300
BuildRequires: perl(Class::Inspector) >= 1.130.0
BuildRequires: perl(Config::General)
BuildRequires: perl(Data::Serializer) >= 0.360.0
BuildRequires: perl(Data::Taxi)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(FreezeThaw)
BuildRequires: perl(JSON) >= 2.120.0
BuildRequires: perl(JSON::XS) >= 2.222.200
BuildRequires: perl(LWP::UserAgent) >= 2.33.0
BuildRequires: perl(MRO::Compat) >= 0.100.0
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(PHP::Serialization)
BuildRequires: perl(Params::Validate) >= 0.760.0
BuildRequires: perl(URI::Find)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML::Syck) >= 0.670.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This Action handles doing automatic method dispatching for REST requests.
It takes a normal Catalyst action, and changes the dispatch to append an
underscore and method name. First it will try dispatching to an action with
the generated name, and failing that it will try to dispatch to a regular
method.

For example, in the synopsis above, calling GET on "/foo" would result in
the foo_GET method being dispatched.

If a method is requested that is not implemented, this action will return a
status 405 (Method Not Found). It will populate the "Allow" header with the
list of implemented request methods. You can override this behavior by
implementing a custom 405 handler like so:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 26 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 60793
- update to 0.90

* Wed Feb 16 2011 jquelin <jquelin> 0.890.0-1.mga1
+ Revision: 52437
- update to 0.89

* Wed Jan 26 2011 jquelin <jquelin> 0.870.0-1.mga1
+ Revision: 40243
- mageia rebuild
- imported package perl-Catalyst-Action-REST

